From 85c10920a7519d6bbc65f939eb85b09f0004b1a2 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Laur=C3=A9line=20Gu=C3=A9rin?= <zebuline@entrouvert.com>
Date: Tue, 10 Aug 2021 14:23:21 +0200
Subject: [PATCH 1/2] misc: split manager tests

---
 tests/manager/test_all.py        | 1813 +++---------------------------
 tests/manager/test_exception.py  | 1316 ++++++++++++++++++++++
 tests/manager/test_timeperiod.py |  233 ++++
 3 files changed, 1707 insertions(+), 1655 deletions(-)
 create mode 100644 tests/manager/test_exception.py
 create mode 100644 tests/manager/test_timeperiod.py

diff --git a/tests/manager/test_all.py b/tests/manager/test_all.py
index 0f52a35..61fc0ad 100644
--- a/tests/manager/test_all.py
+++ b/tests/manager/test_all.py
@@ -1,19 +1,16 @@
 import copy
 import datetime
 import json
-import os
 from unittest import mock
 
 import freezegun
 import pytest
 import requests
 from django.contrib.auth.models import Group
-from django.core.files.base import ContentFile
 from django.core.management import call_command
 from django.db import connection
 from django.test import override_settings
 from django.test.utils import CaptureQueriesContext
-from django.urls import reverse
 from django.utils.encoding import force_text
 from django.utils.timezone import localtime, make_aware, now
 from webtest import Upload
@@ -32,7 +29,6 @@ from chrono.agendas.models import (
     UnavailabilityCalendar,
     VirtualMember,
 )
-from chrono.manager.forms import TimePeriodExceptionForm
 from chrono.utils.signature import check_query
 
 pytestmark = pytest.mark.django_db
@@ -335,43 +331,6 @@ def test_add_agenda(app, admin_user):
     assert agenda.desk_simple_management is False
 
 
-@override_settings(
-    EXCEPTIONS_SOURCES={
-        'holidays': {'class': 'workalendar.europe.France', 'label': 'Holidays'},
-    }
-)
-def test_add_agenda_exceptions_from_settings(app, admin_user):
-    app = login(app)
-    resp = app.get('/manage/', status=200)
-    resp = resp.click('New')
-    resp.form['label'] = 'Foo bar'
-    resp.form['kind'] = 'meetings'
-    resp = resp.form.submit().follow()
-
-    agenda = Agenda.objects.get(label='Foo bar')
-    assert agenda.desk_set.count() == 1
-
-    default_desk = agenda.desk_set.first()
-    assert default_desk.timeperiodexception_set.exists()
-    assert default_desk.timeperiodexceptionsource_set.count() == 1
-
-    source = default_desk.timeperiodexceptionsource_set.first()
-    assert source.enabled
-
-    agenda.desk_simple_management = False
-    agenda.save()
-    resp = app.get('/manage/agendas/%s/add-desk' % agenda.pk)
-    resp.form['label'] = 'Desk A'
-    resp = resp.form.submit().follow()
-
-    desk = Desk.objects.get(slug='desk-a')
-    assert desk.timeperiodexception_set.exists()
-    assert desk.timeperiodexceptionsource_set.count() == 1
-
-    source = desk.timeperiodexceptionsource_set.first()
-    assert source.enabled
-
-
 def test_add_agenda_as_manager(app, manager_user):
     # open /manage/ access to manager_user, and check agenda creation is not
     # allowed.
